@TestOn('browser')

import 'package:test/test.dart';
import 'package:rules_of_living/service/engine_service.dart';

void main() {
  EngineService sut;
  setUp(() {
    sut = EngineService();
  });

  test("EngineService creates an engine on demand", () {
    expect(sut.engine, isNotNull);
  });

  test("EngineService returns the cached engine on subsequent requests", () {
    expect(sut.engine, allOf(isNotNull, equals(sut.engine)));
  });
}
